package testsUnitaires;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import m.Plat;

class PlatTest {
	
    private Plat plat;

//S'exécutera avant chaque test
    @BeforeEach
    void instancePlat() {
    	//Instanciation d'un plat quelconque
    	plat = new Plat("Entrecôte", 19.5);
    }
    

//Vérifie si les getters et setters fonctionnent correctement
    @Test
    void testGetNomPlat() {
    	//Compare si le nom du plat est bien une entrecôte
        assertEquals("Entrecôte", plat.getNomPlat());
    }

    @Test
    void testSetNomPlat() {
    	plat.setNomPlat("Steak");
      //Compare si le nom du plat a bien été modifié en steak
        assertEquals("Steak", plat.getNomPlat());
    }

    @Test
    void testGetPrixPlat() {
        assertEquals(19.5, plat.getPrixPlat());
    }

    @Test
    void testSetPrixPlat() {
    	plat.setPrixPlat(19.5);
        assertEquals(25.0, plat.getPrixPlat());
    }
}
